Skip to main content
PUT
Update an event automation

Path Parameters

id
integer<int64>
required

Event ID

rule_id
string
required

Automation rule ID

Body

application/json
actions
object[] | null
required
name
string
required
trigger
object
required
description
string
enabled
boolean

Response

OK

actions
object[] | null
required
created_at
string<date-time>
required
enabled
boolean
required
id
string
required
name
string
required
trigger
object
required
updated_at
string<date-time>
required
$schema
string<uri>
read-only

A URL to the JSON Schema for this object.

Example:

"https://api.linebundle.com/schemas/EventAutomationRule.json"

description
string
Last modified on June 11, 2026